Name:           kid3
Version:        2.2
Release:        1%{?dist}
Summary:        Efficient KDE ID3 tag editor

License:        GPLv2+
URL:            http://kid3.sourceforge.net/
Source0:        http://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.gz

BuildRequires:  kdelibs4-devel
BuildRequires:  cmake
BuildRequires:  id3lib-devel
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  flac-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libchromaprint-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gettext
Requires:       xdg-utils

%description
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio, WavPack, WMA, WAV, and AIFF files
(e.g. full albums) without typing the same information again and again
and have control over both ID3v1 and ID3v2 tags, then Kid3 is the
program you are looking for.

%package        qt
Summary:        Efficient Qt ID3 tag editor
Group:          Applications/Multimedia
Requires:       xdg-utils

%description    qt
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio, WavPack, WMA, WAV, and AIFF files
(e.g. full albums) without typing the same information again and again
and have control over both ID3v1 and ID3v2 tags, then Kid3 is the
program you are looking for.  The %{name}-qt package provides Kid3
built without KDE dependencies.


%prep
%setup -q


%build
# -DBUILD_SHARED_LIBS:BOOL=OFF:
# http://sf.net/tracker/?func=detail&aid=3405853&group_id=70849&atid=529221
opts="-DBUILD_SHARED_LIBS:BOOL=OFF"

mkdir _kid3 ; cd _kid3
%cmake_kde4 $opts ..
make %{?_smp_mflags}
cd ..

mkdir _kid3-qt ; cd _kid3-qt
%cmake $opts -DWITH_KDE:BOOL=OFF \
    -DWITH_DOCDIR=share/doc/%{name}-qt-%{version} ..
make %{?_smp_mflags}
cd ..


%install

make -C _kid3 install DESTDIR=$RPM_BUILD_ROOT
make -C _kid3-qt install DESTDIR=$RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 644 deb/kid3{,-qt}.1 $RPM_BUILD_ROOT%{_mandir}/man1/

# preserve desktop entry location for upgrades
mv $RPM_BUILD_ROOT%{_datadir}/applications/{kde*/kid3,fedora-kid3}.desktop
rmdir $RPM_BUILD_ROOT%{_datadir}/applications/kde*

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/fedora-kid3.desktop

%find_lang %{name} --with-kde --with-qt
grep -vF kid3-qt %{name}.lang > %{name}-kde.lang
grep -F  kid3-qt %{name}.lang > %{name}-qt.lang

install -pm 644 AUTHORS ChangeLog COPYING LICENSE README \
    $RPM_BUILD_ROOT%{_docdir}/%{name}-qt-%{version}


%post -p <lua>
posix.utime("%{_datadir}/icons/hicolor")

%post qt -p <lua>
posix.utime("%{_datadir}/icons/hicolor")

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database %{_datadir}/applications &>/dev/null
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%postun qt
if [ $1 -eq 0 ] ; then
    update-desktop-database %{_datadir}/applications &>/dev/null
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
update-desktop-database %{_datadir}/applications &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans qt
update-desktop-database %{_datadir}/applications &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}-kde.lang
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_bindir}/kid3
%{_datadir}/applications/*kid3.desktop
%{_datadir}/icons/hicolor/*x*/apps/kid3.png
%{_datadir}/icons/hicolor/scalable/apps/kid3.svgz
%{_datadir}/dbus-1/interfaces/*.xml
%{_kde4_appsdir}/kid3/
%{_mandir}/man1/kid3.1*

%files qt -f %{name}-qt.lang
%doc %{_docdir}/%{name}-qt-%{version}/
%{_bindir}/kid3-qt
%{_datadir}/applications/*kid3-qt.desktop
%{_datadir}/icons/hicolor/*x*/apps/kid3-qt.png
%{_datadir}/icons/hicolor/scalable/apps/kid3-qt.svg
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/kid3-qt/
%dir %{_datadir}/kid3-qt/translations/
%{_mandir}/man1/kid3-qt.1*


%changelog
* Sat Oct 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 2.2-1
- Update to 2.2.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 12 2012 Ville Skyttä <ville.skytta@iki.fi> - 2.1-1
- Update to 2.1.

* Wed Jan  4 2012 Ville Skyttä <ville.skytta@iki.fi> - 2.0.1-2
- Fix build with g++ 4.7.0.

* Fri Nov  4 2011 Ville Skyttä <ville.skytta@iki.fi> - 2.0.1-1
- Update to 2.0.1.

* Thu Sep  8 2011 Ville Skyttä <ville.skytta@iki.fi> - 2.0-1
- Update to 2.0.
- Clean up no longer needed specfile parts.
- Do icon dir timestamp update in %%post with lua.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb  5 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6-2
- Add -qt subpackage containing a version without KDE dependencies.

* Sat Feb  5 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6-1
- Update to 1.6.

* Sat Sep 25 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.5-1
- Update to 1.5, patches applied upstream.

* Mon May 31 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.4-2
- Patch to fix build with KDE 4.5 (DocBook 4.2).
- Patch to improve desktop entry (MIME types, startup).

* Sat Mar  6 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.4-1
- Update to 1.4.

* Wed Nov 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.3-2
- Rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Sun Nov  8 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.3-1
- Update to 1.3.

* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.2-3
- Update desktop file according to F-12 FedoraStudio feature

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 30 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.2-1
- Update to 1.2, discogs.com patch applied upstream.
- Use %%find_lang --with-kde.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1-2
- Apply upstream patch to fix discogs.com import.
- Update desktop database when appropriate.
- Improve icon cache refresh scriptlets.
- Do not convert doc symlinks to relative.
- Drop support for building for KDE 3.

* Sat Oct 25 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1-1
- 1.1.

* Thu Apr  3 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.0-1
- 1.0, all patches applied upstream.

* Thu Jan  3 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.10-3
- Fix build with gcc 4.3's cleaned up C++ headers.

* Mon Dec  3 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.10-2
- Use xdg-open as the default browser.

* Sun Dec  2 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.10-1
- 0.10, desktop entry patch applied upstream.
- Build for KDE4 in F9+, KDE3 in earlier.

* Sun Dec  2 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9-3
- BuildRequire libvorbis-devel, and kdelibs3-devel instead of kdelibs-devel.

* Thu Aug 16 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9-2
- Remove Application Category and deprecated items from desktop entry.
- License: GPLv2+

* Wed Jun 13 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9-1
- 0.9.

* Wed Feb 14 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.8.1-2
- Rebuild, drop workaround for #216783.

* Wed Nov 22 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.8.1-1
- 0.8.1, desktop entry fixes applied upstream.
- Re-enable musicbrainz support.

* Mon Oct  2 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.7-4
- Rebuild.

* Wed Sep 27 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.7-3
- Disable musicbrainz support by default, not ready for tunepimp 0.5 yet.

* Wed Aug 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.7-2
- Rebuild.

* Thu Jun 29 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.7-1
- 0.7, build with libtunepimp.
- Patch to register as a handler for more media types.
- Update desktop database at post(un)install time.
- Make symlinks relative.

* Wed Feb 15 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.6-2
- Explicitly disable musicbrainz support for now, needs older libtunepimp
  than what's available in FE.
- Apply Debian's 0.6-2 patch, includes ogg tagging fix.
- Install man page.

* Mon Oct 31 2005 Ville Skyttä <ville.skytta@iki.fi> - 0.6-1
- 0.6, patches applied upstream.
- Clean up build dependencies.
- Improve summary and description.

* Thu May 19 2005 Ville Skyttä <ville.skytta@iki.fi> - 0.5-4
- Update GTK icon cache at (un)install time.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5-3
- rebuilt

* Sun Dec 19 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:0.5-2
- Apply patch for better non-latin1 filename support.
- Build with dependency tracking disabled.
- Trim dir ownership for FC3.

* Sat Jul 31 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:0.5-0.fdr.1
- Update to 0.5.

* Mon Feb  9 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:0.4-0.fdr.1
- Update to 0.4.

* Sat Nov  1 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:0.3-0.fdr.1
- First build.
